{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":38192,"path":"platform-administration/ai-search/create-ext-content-schema-ais.md","title":"Create an external content schema table","bundle":null,"doc_type":null,"release":"australia","body":"\n# Create an external content schema table\n\nDefine a schema table with columns corresponding to fields on records from an external data source. AI Search uses the schema when indexing content from the external data source.\n\n## Before you begin\n\nRole required: ais\\_admin\n\n## About this task\n\nAn external content schema table doesn't store data in the database. Instead, its columns serve as a map of AI Search index fields to populate when you index content from external data sources.\n\nWhen you index or delete records associated with this content schema using endpoints from the [External Content Ingestion REST API](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/api-reference/external-content-ingestion-api.md), you must specify the schema table name as a path parameter.\n\n## Procedure\n\n1.  Navigate to **All** &gt; **AI Search** &gt; **External Content** &gt; **Create Schema**.\n\n2.  Enter a name for your new external source schema table.\n\n3.  Select **Submit**.\n\n    The new external content schema table opens in list view.\n\n4.  If you need to define additional field mappings for records from the external data source, add a new column for each field.\n\n    1.  In the Columns related list, select **New**.\n\n    2.  On the Dictionary Entry form, fill in the fields.\n\n        For descriptions of these form fields, see [Dictionary Entry form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/platform-administration/table-administration-and-data-management/r_DictionaryEntryForm.md).\n\n        **Note:** When filling in the **Type** field, select **String**, **Date**, **Date/Time**, or **Integer**. AI Search doesn't support other column types on external content schema tables.\n\n    3.  Select **Submit**.\n\n5.  If you modified the default column set, select **Update** to save your changes.\n\n\n## What to do next\n\nCreate a new indexed source with your external content schema table defined as its source. For instructions on creating an indexed source, see [Create an indexed source](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/platform-administration/ai-search/create-indexed-source-ais.md)\n\n**Parent Topic:**[Indexing and searching external content in AI Search](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/platform-administration/ai-search/external-content-ais.md)\n\n"}}